rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
rpmmi_s Struct Reference
Collaboration diagram for rpmmi_s:
[legend]

## Data Fields
struct rpmioItem_s | _item
rpmmi | mi_next
rpmdb | mi_db
rpmTag | mi_rpmtag
dbiIndexSet | mi_set
DBC * | mi_dbc
DBT | mi_key
DBT | mi_data
int | mi_setx
Header | mi_h
int | mi_sorted
int | mi_cflags
int | mi_modified
unsigned int | mi_prevoffset
unsigned int | mi_offset
unsigned int | mi_filenum
int | mi_nre
miRE | mi_re
rpmts | mi_ts

## Detailed Description

Definition at line 723 of file rpmdb.c.

## Field Documentation

struct rpmioItem_s rpmmi_s::_item

usage mutex and pool identifier.

Definition at line 724 of file rpmdb.c.

int rpmmi_s::mi_cflags

Definition at line 738 of file rpmdb.c.

Referenced by rpmmiInit(), rpmmiNext(), and rpmmiSetRewrite().

DBT rpmmi_s::mi_data

Definition at line 733 of file rpmdb.c.

Referenced by rpmdbFindFpList(), and rpmdbGrowIterator().

rpmdb rpmmi_s::mi_db

Definition at line 728 of file rpmdb.c.

Referenced by rpmdbGrowIterator(), rpmmiFini(), rpmmiInit(), and rpmmiNext().

DBC* rpmmi_s::mi_dbc

Definition at line 731 of file rpmdb.c.

Referenced by miFreeHeader(), rpmdbGrowIterator(), rpmmiFini(), rpmmiInit(), and rpmmiNext().

unsigned int rpmmi_s::mi_filenum

Definition at line 742 of file rpmdb.c.

Referenced by rpmmiFilenum(), rpmmiInit(), and rpmmiNext().

Header rpmmi_s::mi_h

Definition at line 736 of file rpmdb.c.

Referenced by miFreeHeader(), mireSkip(), rpmmiInit(), and rpmmiNext().

DBT rpmmi_s::mi_key

Definition at line 732 of file rpmdb.c.

Referenced by rpmdbFindFpList(), and rpmdbGrowIterator().

int rpmmi_s::mi_modified

Definition at line 739 of file rpmdb.c.

Referenced by miFreeHeader(), rpmmiInit(), rpmmiNext(), and rpmmiSetModified().

rpmmi rpmmi_s::mi_next

Definition at line 726 of file rpmdb.c.

Referenced by rpmdbCheckTerminate(), rpmmiFini(), and rpmmiInit().

int rpmmi_s::mi_nre

Definition at line 743 of file rpmdb.c.

Referenced by mireSkip(), rpmmiAddPattern(), rpmmiFini(), and rpmmiInit().

unsigned int rpmmi_s::mi_offset

Definition at line 741 of file rpmdb.c.

Referenced by rpmmiInit(), rpmmiInstance(), and rpmmiNext().

unsigned int rpmmi_s::mi_prevoffset

Definition at line 740 of file rpmdb.c.

Referenced by miFreeHeader(), rpmmiInit(), and rpmmiNext().

miRE rpmmi_s::mi_re

Definition at line 745 of file rpmdb.c.

Referenced by mireSkip(), rpmmiAddPattern(), rpmmiFini(), and rpmmiInit().

rpmTag rpmmi_s::mi_rpmtag

Definition at line 729 of file rpmdb.c.

Referenced by rpmdbGrowIterator(), rpmmiInit(), and rpmmiNext().

dbiIndexSet rpmmi_s::mi_set

Definition at line 730 of file rpmdb.c.

Referenced by rpmdbFindByFile(), rpmdbFindFpList(), rpmdbGrowIterator(), rpmdbSortIterator(), rpmmiCount(), rpmmiFini(), rpmmiGrow(), rpmmiInit(), rpmmiNext(), and rpmmiPrune().

int rpmmi_s::mi_setx

Definition at line 734 of file rpmdb.c.

Referenced by rpmdbFindByFile(), rpmdbFindFpList(), rpmmiInit(), and rpmmiNext().

int rpmmi_s::mi_sorted

Definition at line 737 of file rpmdb.c.

Referenced by rpmdbSortIterator(), and rpmmiInit().

rpmts rpmmi_s::mi_ts

Definition at line 747 of file rpmdb.c.

Referenced by miFreeHeader(), rpmmiInit(), rpmmiNext(), and rpmmiSetHdrChk().

The documentation for this struct was generated from the following file:

- rpmdb/rpmdb.c